void printi(int val);

int main()
{
  int array[3][4];
  int i, j, *p;

  for (i = 0; i < 3; i++)
    for (j = 0; j < 4; j++)
      array[i][j] = i * 10 + j;

  for (i = 0; i < 3; i++)
    for (j = 0; j < 4; j++)
      printi(array[i][j]);

  p = &array[0][0];
  for (i = 0; i < 3 * 4; i++)
    printi(p[i]);

  return 0;
}
